import Qt 4.7
import com.nokia.meego 1.0

import "UIConstants.js" as UI

Page {
    id:loadingScreenPage
    orientationLock: PageOrientation.LockPortrait
    tools: navigationToolbar

    Timer {
        id:timerId
        interval: 1000; running: true; repeat: true
        onTriggered: {
            if(connectionScreen.loadingToConnectivity == true)
            {
                console.log("time trigared");
                //pageStack.pop();
                rootWindow.pageStack.push("qrc:/qml_files/SdkConnectivityScreen.qml");
                connectionScreen.loadingToConnectivity=false;
            }
        }
    }

    Column {
        spacing: 20
        anchors.centerIn: parent

        BusyIndicator {
            id: indicator
            style: BusyIndicatorStyle { size: "large" }
            running: true
            anchors.horizontalCenter: parent.horizontalCenter
        }

        Label {
            id: displayModule
            text: "Processing"

            font.bold: true
            platformStyle: LabelStyle {
                fontFamily: UI.FONT_FAMILY
                fontPixelSize: UI.FONT_XLARGE
            }
            color: "#FFFFFF"
        }
    }
}
