import QtQuick 1.1
import com.nokia.meego 1.0
import "UIConstants.js" as UI


// page's title:
Label {
    text: "Title"
    height: UI.HEADER_DEFAULT_HEIGHT_PORTRAIT
    width: parent.width
    verticalAlignment: Text.AlignVCenter
    property alias lineVisible : line.visible

    platformStyle: LabelStyle {
        fontFamily: UI.FONT_FAMILY_LIGHT
        fontPixelSize: UI.FONT_XLARGE
    }

    Rectangle {
        id: line
        height: 1
        width: parent.width
        anchors.bottom: parent.bottom
        color: "#797979"
    }
}

