import Qt 4.7
import com.nokia.meego 1.0

import "UIConstants.js" as UI

Page {
    id:waitingScreenPage
    orientationLock: PageOrientation.LockPortrait
    tools: navigationToolbar

    Timer {
        id:timerId
        interval: 500; running: true; repeat: true
        onTriggered: {
            if(connectionScreen.loadingSdkToEdit === true)
            {
                console.log("time trigared");
                pageStack.pop();
                rootWindow.pageStack.push("qrc:/qml_files/SdkConnectivityScreen.qml");
                connectionScreen.loadingSdkToEdit=false;
            }
        }
    }
    Column {
        spacing: 20
        anchors.centerIn: parent

        BusyIndicator {
            id: indicator
            style: BusyIndicatorStyle { size: "large" }
            running: true
            anchors.horizontalCenter: parent.horizontalCenter
        }

        Label {
            id: displayModule
            text: "Saving..."

            font.bold: true
            platformStyle: LabelStyle {
                fontFamily: UI.FONT_FAMILY
                fontPixelSize: UI.FONT_XLARGE
            }
            color: "#FFFFFF"
        }
    }

}
